/// <reference types="react" />
import { ModalProps, ModalComponent } from './PropsType';
export default class Modal extends ModalComponent<ModalProps, any> {
    static defaultProps: {
        prefixCls: string;
        transparent: boolean;
        popup: boolean;
        animationType: string;
        animated: boolean;
        style: {};
        onShow(): void;
        footer: never[];
        closable: boolean;
        operation: boolean;
        platform: string;
    };
    isInModal(e: any): true | undefined;
    renderFooterButton(button: any, prefixCls: any, i: any): JSX.Element;
    render(): JSX.Element;
}
